use strict;
use warnings;

use HTTP::Daemon;
use HTTP::Status;
use URI::Escape;

my @dico = <DATA>;
chomp foreach @dico;

my $port = $ARGV[0] || 8080;

my $d = HTTP::Daemon->new(LocalPort => $port) || die;
print "Please contact me at: <URL:", $d->url, ">\n";
while (my $c = $d->accept) {
  while (my $req = $c->get_request) {
    my $path_info = substr(uri_unescape($req->url->path), 1);
    print STDERR "REQUEST: $path_info\n";

    if ($path_info =~ s[^word/][]) {
      my @words = grep /^$path_info/, @dico;
      my $json = join ",", map {qq{"$_"}} @words;
      
      my $response = HTTP::Response->new;
      $response->header(
        'Content-Type'  => 'text/javascript; charset=ISO-8859-1',
        'Cache-Control' => 'no-cache, must-revalidate, max-age=0',
        'Pragma'        => 'no-cache',
        'Expires'       => '0');
      $response->content("[$json]");
      $c->send_response($response);
    }
    else {
      $c->send_file_response("../../$path_info");
    } 
  }
  $c->close;
  undef($c);
}

__DATA__
are
arent
arrent
ar
ara
araient
arais
arait
arant
arateur
aration
arer
arera
arerai
areraient
arerait
arerez
areriez
arerions
arerons
areront
arez
arien
ariez
arions
aro-club
arodrome
arodynamique
arogare
aroglisseur
aronautique
aronaval
aronavale
aronef
arons
arophagie
aroplane
aroport
aroport
arosol
arospatial
an
anesse
aeul
aeule
aeux
aoli
abtardir
abtir
abtissement
abmer
abaissement
abaisser
abandon
abandonner
abasourdir
abasourdissant
abat
abat-jour
abattage
abattaient
abattais
abattait
abattant
abatte
abattement
abattent
abattez
abattiez
abattions
abattirent
abattis
abattit
abattoir
abattons
abattra
abattrai
abattraient
abattrait
abattre
abattrez
abattriez
abattrions
abattrons
abattront
abattu
abattue
abb
abbaye
Abbott
abcs
abcder
abdication
abdiquer
abdomen
abdominal
abduction
abeille
aberrant
aberration
abhorrer
abject
abjection
abjuration
abjurer
ablater
ablatif
ablation
ablette
ablution
abngation
aboiement
abois
abolir
abolition
abolitionnisme
abolitionniste
abominable
abominablement
abomination
abominer
abondamment
abondance
abondant
abonder
abonnement
abonner
abonnir
abord
abordable
abordage
aborde
aborder
aborder
aboucher
abouler
abouter
aboutir
aboutissant
aboutissement
aboyer
abrgement
abragir
abrger
abrviation
abracadabrant
abraser
abrasifs
abreuver
abreuvoir
abri
abricot
abricotier
abriter
abrogation
abroger
abrupt
abruptement
abrutir
abrutissant
abrutissement
abscisse
absence
absent
absentisme
absentiste
absenter
absolu
absolue
absolument
absolution
absolutisme
absorbant
absorber
absorption
absoudre
abstenaient
abstenais
abstenait
abstenant
abstenez
absteniez
abstenions
abstenir
abstenons
abstention
abstentionnisme
abstentionniste
abstenu
abstenue
abstiendra
abstiendrai
abstiendraient
abstiendrait
abstiendrez
abstiendriez
abstiendrions
abstiendrons
abstiendront
abstienne
abstiennent
abstiens
abstient
abstinence
abstinent
abstinrent
abstint
abstraction
abstraie
abstraient
abstraira
abstrairai
abstrairaient
abstrairait
abstraire
abstrairez
abstrairiez
abstrairions
abstrairons
abstrairont
abstrais
abstrait
abstraitement
abstrayaient
abstrayais
abstrayait
abstrayant
abstrayez
abstrayiez
abstrayions
abstrayons
absurde
absurdit
abus
abusrent
abus
abusa
abusaient
abusais
abusait
abusant
abuse
abusent
abuser
abusera
abuserai
abuseraient
abuserait
abuserez
abuseriez
abuserions
abuserons
abuseront
abusez
abusiez
abusif
abusions
abusivement
abusons
abysse
ac
acrer
actates
actifier
actone
acabit
acacia
acadmicien
acadmie
acadmique
acadmisme
acajou
acaritre
accde
accdent
accs
accdrent
accd
accde
accda
accdaient
accdais
accdait
accdant
accder
accdera
accderai
accderaient
accderait
accderez
accderiez
accderions
accderons
accderont
accdez
accdiez
accdions
accdons
acclre
acclrent
acclrrent
acclr
acclra
acclraient
acclrais
acclrait
acclrant
acclrateur
acclration
acclratrice
acclrer
acclrera
acclrerai
acclreraient
acclrerait
acclrerez
acclreriez
acclrerions
acclrerons
acclreront
acclrez
acclriez
acclrions
acclromtres
acclrons
accablant
accablement
accabler
accalmie
accaparement
accaparer
accapareur
accastiller
accent
accentuation
accentuer
acceptable
acceptation
acceptation
accepter
acception
accessibilit
accessible
accession
accessit
accessoire
accessoirement
accessoiriser
accessoiriste
accident
accidentel
accidentellement
accidenter
acclamation
acclamer
acclimatation
acclimatement
acclimater
accointances
accointer
accolade
accoler
accommodant
accommodation
accommodement
accommoder
accompagnateur
accompagnatrice
accompagne
accompagnement
accompagner
accomplir
accomplir
accomplissement
accord
accordon
accordoniste
accorder
accordeur
accostage
accoster
accotement
accoter
accouchement
accoucher
accoucheur
accoucheuse
accouder
accoudoir
accouer
accouplement
accoupler
accouraient
accourais
accourait
accourant
accourcir
accoure
accourent
accourez
accouriez
accourions
accourir
accourons
accourra
accourrai
accourraient
accourrait
accourrez
accourriez
accourrions
accourrons
accourront
accours
accourt
accouru
accourue
accoururent
accourut
accoutrement
accoutrer
accoutumance
accoutumer
accrditation
accrditer
accrditeur
accrditif
accrot
accrotra
accrotrai
accrotraient
accrotrait
accrotre
accrotrez
accrotriez
accrotrions
accrotrons
accrotront
accroc
accrochage
accrocher
accrocheur
accrocheuse
accroire
accrois
accroissaient
accroissais
accroissait
accroissant
accroisse
accroissement
accroissent
accroissez
accroissiez
accroissions
accroissons
accroupir
accru
accrue
accrurent
accrut
accueil
accueillaient
accueillais
accueillait
accueillant
accueille
accueillent
accueillera
accueillerai
accueilleraient
accueillerait
accueillerez
accueilleriez
accueillerions
accueillerons
accueilleront
accueillez
accueilli
accueilliez
accueillions
accueillir
accueillirent
accueillit
accueillons
acculer
acculturer
accumulateur
accumulation
accumulent
accumuler
accusateur
accusatif
accusation
accusatrice
accuser
ace
acerbe
achve
achvement
achvent
achvera
achverai
achveraient
achverait
achverez
achveriez
achverions
achverons
achveront
achalandage
achalander
acharnement
acharner
achat
achat
acheminement
acheminer
acheminer
achetable
acheter
acheteur
acheteuse
achevrent
achev
acheva
achevaient
achevais
achevait
achevant
achever
achevez
acheviez
achevions
achevons
achopprent
achopp
achoppa
achoppaient
achoppais
achoppait
achoppant
achoppe
achoppement
achoppent
achopper
achoppera
achopperai
achopperaient
achopperait
achopperez
achopperiez
achopperions
achopperons
achopperont
achoppez
achoppiez
achoppions
achoppons
achromatiser
acirer
acirie
acide
acidifier
acidit
acidul
aciduler
acier
acolyte
acompte
acoquiner
acoustique
acquraient
acqurais
acqurait
acqurant
acqureur
acqurez
acquriez
acqurions
acqurir
acqurons
acqut
acquerra
acquerrai
acquerraient
acquerrait
acquerrez
acquerriez
acquerrions
acquerrons
acquerront
acquire
acquirent
acquiers
acquiert
acquiesa
acquiesaient
acquiesais
acquiesait
acquiesant
acquiesons
acquiescrent
acquiesc
acquiesce
acquiescement
acquiescent
acquiescer
acquiescera
acquiescerai
acquiesceraient
acquiescerait
acquiescerez
acquiesceriez
acquiescerions
acquiescerons
acquiesceront
acquiescez
acquiesciez
acquiescions
acquirent
acquis
acquise
acquisition
acquisition
acquit
acquittement
acquitter
acre
acrimonie
acrobate
acrobatie
acrobatique
acronyme
acrylique
acte
acteur
actif
action
action
actionnaire
actionnariat
actionner
actionneur
activation
activement
activer
activisme
activiste
activit
activit
actrice
actuaire
actualisation
actualiser
actualit
actuariat
actuariel
actuel
actuellement
acuit
acuponcteur
acuponctrice
acuponcture
acupuncteur
acupunctrice
acupuncture
adquat
adquatement
adquation
adage
adaptable
adaptateur
adaptatif
adaptation
adaptation
adaptative
adaptatrice
adapter
adapter
additif
addition
additionnel
additionner
adduction
adepte
adhre
adhrent
adhrrent
adhr
adhra
adhraient
adhrais
adhrait
adhrant
adhrence
adhrent
adhrer
adhrera
adhrerai
adhreraient
adhrerait
adhrerez
adhreriez
adhrerions
adhrerons
adhreront
adhrez
adhriez
adhrions
adhrons
adhsif
adhsion
adhsivit
adieu
adipeux
adjacent
adjectif
adjectival
adjectiver
adjoignaient
adjoignais
adjoignait
adjoignant
adjoigne
adjoignent
adjoignez
adjoigniez
adjoignions
adjoignirent
adjoignit
adjoignons
adjoindra
adjoindrai
adjoindraient
adjoindrait
adjoindre
adjoindrez
adjoindriez
adjoindrions
adjoindrons
adjoindront
adjoins
adjoint
adjonction
adjudant
adjudication
adjuger
adjuration
adjurer
adjuvant
admet
admettaient
admettais
admettait
admettant
admettent
admettez
admettiez
admettions
admettons
admettra
admettrai
admettraient
admettrait
admettre
admettrez
admettriez
admettrions
admettrons
admettront
administrateur
administratif
administration
administration
administrativement
administratrice
administrer
admirable
admirablement
admirateur
admiratif
admiration
admirativement
admiratrice
admirer
admis
admise
admissibilit
admissible
admission
admit
admittance
admonestation
admonester
adolescence
adolescent
Adoncourt
adonner
adopter
adoptif
adoption
adorable
adorateur
adoration
adoratrice
adorer
adossement
adosser
adouber
adoucir
adoucissant
adoucissement
adoucisseur
adrnaline
adressage
adresser
adroit
adroitement
adsorber
adulation
aduler
adultre
adultrer
adultrin
adulte
advenait
advenir
advenu
advenue
adverbe
adverbial
adversaire
adverse
adversit
adviendra
adviendrait
advienne
advient
advint
aequo
affager
affrent
afft
afft
afftage
afftant
affter
affabilit
affable
affabulation
affabuler
affactur
affacturant
affacturer
affadir
affaiblir
affaiblissement
affairement
affairer
affairisme
affairiste
affaissement
affaisser
affalement
affaler
affamer
affameur
affectation
affectation
affecter
affectif
affection
affectionner
affectivit
affectueusement
affectueux
affermage
affermer
affermir
affermissement
affichage
affichage
afficher
affichette
afficheur
affichiste
affidavit
affile
affilage
affiler
affiliation
affilier
affinage
affinement
affiner
affinit
affirmatif
affirmation
affirmativement
affirmer
affixe
affleurrent
affleur
affleura
affleuraient
affleurait
affleurant
affleure
affleurement
affleurent
affleurer
affleurera
affleureraient
affleurerait
affleureront
affliction
affligeant
affliger
afflouer
afflurent
afflu
afflua
affluaient
affluait
affluant
afflue
affluence
affluent
affluer
affluera
afflueraient
affluerait
afflueront
afflux
affolant
affolement
affoler
affouager
affouiller
affourager
affourcher
affrte
affrtement
affrtent
affrtrent
affrt
affrta
affrtaient
affrtais
affrtait
affrtant
affrter
affrtera
affrterai
affrteraient
affrterait
affrterez
affrteriez
affrterions
affrterons
affrteront
affrteur
affrtez
affrtiez
affrtions
affrtons
affranchir
affranchissement
affres
affreusement
affreux
affriander
affrioler
affront
affrontrent
affront
affronta
affrontaient
affrontais
affrontait
affrontant
affrontement
affrontent
affronter
affrontera
affronterai
affronteraient
affronterait
affronterez
affronteriez
affronterions
affronterons
affronteront
affrontez
affrontiez
affrontions
affrontons
affruiter
affubl
affublant
affubler
aficionado
afin
africain
africaniser
agaant
agacement
agacer
agacerie
agapes
agate
agav
agencement
agencer
agenda
agenouillement
agenouiller
agent
aggiornamento
agglomre
agglomrent
agglomrrent
agglomr
agglomra
agglomraient
agglomrais
agglomrait
agglomrant
agglomrat
agglomration
agglomrer
agglomrera
agglomrerai
agglomreraient
agglomrerait
agglomrerez
agglomreriez
agglomrerions
agglomrerons
agglomreront
agglomrez
agglomriez
agglomrions
agglomrons
agglutiner
aggravant
aggravation
aggraver
agi
agile
agilit
agio
agiotrent
agiot
agiota
agiotage
agiotaient
agiotais
agiotait
agiotant
agiote
agiotent
agioter
agiotera
agioterai
agioteraient
agioterait
agioterez
agioteriez
agioterions
agioterons
agioteront
agiotez
agiotiez
agiotions
agiotons
agir
agira
agirai
agiraient
agirait
agirent
agirez
agiriez
agirions
agirons
agiront
agissaient
agissais
agissait
agissant
agisse
agissements
agissent
agissez
agissiez
agissions
agissons
agit
agitrent
agit
agita
agitaient
agitais
agitait
agitant
agitateur
agitation
agite
agitent
agiter
agitera
agiterai
agiteraient
agiterait
agiterez
agiteriez
agiterions
agiterons
agiteront
agitez
agitiez
agitions
agitons
agneau
agneaux
agneler
agonir
agonisrent
agonis
agonisa
agonisaient
agonisais
agonisait
agonisant
agonise
agonisent
agoniser
agonisera
agoniserai
agoniseraient
agoniserait
agoniserez
agoniseriez
agoniserions
agoniserons
agoniseront
agonisez
agonisiez
agonisions
agonisons
agrge
agrgent
agrs
agrable
agrablement
agrer
agrgrent
agrg
agrgat
agrgation
agrgea
agrgeaient
agrgeais
agrgeait
agrgeant
agrgeons
agrger
agrgera
agrgerai
agrgeraient
agrgerait
agrgerez
agrgeriez
agrgerions
agrgerons
agrgeront
agrgez
agrgiez
agrgions
agrment
agrmentrent
agrment
agrmenta
agrmentaient
agrmentais
agrmentait
agrmentant
agrmentent
agrmenter
agrmentera
agrmenterai
agrmenteraient
agrmenterait
agrmenterez
agrmenteriez
agrmenterions
agrmenterons
agrmenteront
agrmentez
agrmentiez
agrmentions
agrmentons
agrafer
agrafeuse
agrainer
agraire
agrandir
agrandir
agrandissement
agrandisseur
agraphie
agresser
agresseur
agressif
agression
agressivit
agreste
agricole
agriculteur
agricultrice
agriculture
agriffer
agripper
agro-alimentaire
agronome
agronomie
agronomique
agrume
aguerrir
aguets
aguicher
aguiser
ah
ahaner
ahurir
ahurissant
ahurissement
ai
aide
aide-mmoire
aider
aider
aie
aient
aigle
aiglefin
aiglon
aigre
aigre-douce
aigre-doux
aigrefin
aigrelet
aigrement
aigres-douces
aigres-doux
aigrette
aigreur
aigrir
aigu
aigu
aigue-marine
aigues-marines
aiguillage
aiguiller
aiguilleter
aiguilleur
aiguillon
aiguillonner
aiguisage
aiguiser
Aikin
ail
ail
aile
aileron
ailette
ailier
aille
aillent
ailler
ailleurs
ailloli
aimable
aimablement
aimant
aimantation
aimanter
aimer
aine
ainsi
air
airain
airelle
airer
ais
aisment
aisance
aise
aisselle
ait
ajonc
ajour
ajourer
ajournement
ajourner
ajout
ajoutrent
ajout
ajouta
ajoutaient
ajoutais
ajoutait
ajoutant
ajoutent
ajouter
ajoutera
ajouterai
ajouteraient
ajouterait
ajouterez
ajouteriez
ajouterions
ajouterons
ajouteront
ajoutez
ajoutiez
ajoutions
ajoutons
ajustable
ajustage
ajustement
ajustement
ajuster
ajusteur
al
ala
alatoire
alser
Alain
alambic
alambiqu
alanguir
alanguissement
alarmant
alarmer
alarmiste
albtre
albanais
albanaise
albatros
albinisme
albinos
album
albumine
alcve
alcalin
alcaliniser
alchimie
alchimiste
alcool
alcoolmie
alcoolique
alcoolisrent
alcoolis
alcoolisa
alcoolisaient
alcoolisait
alcoolisant
alcoolise
alcoolisent
alcooliser
alcoolisera
alcooliseraient
alcooliserait
alcooliseront
alcoolisme
alcootest
alentour
alertement
alerter
alevin
aleviner
Alexandria
Alexandrie
alezan
alfa
Alfred
algbre
algbrique
algrien
algarade
algorithme
algorithmique
algue
aline
alinent
alinrent
alin
alina
alinable
alinaient
alinais
alinait
alinant
alination
aliner
alinera
alinerai
alineraient
alinerait
alinerez
alineriez
alinerions
alinerons
alineront
alinez
aliniez
alinions
alinons
alias
alibi
alignement
alignement
aligner
aliment
alimentrent
aliment
alimenta
alimentaient
alimentaire
alimentais
alimentait
alimentant
alimentation
alimentation
alimentent
alimenter
alimentera
alimenterai
alimenteraient
alimenterait
alimenterez
alimenteriez
alimenterions
alimenterons
alimenteront
alimentez
alimentiez
alimentions
alimentons
alina
alit
alitant
aliter
aliz
allche
allchent
allge
allgent
allgre
allgrement
allgue
allguent
allchrent
allch
allcha
allchaient
allchais
allchait
allchant
allcher
allchera
allcherai
allcheraient
allcherait
allcherez
allcheriez
allcherions
allcherons
allcheront
allchez
allchiez
allchions
allchons
allgrent
allg
allgation
allgea
allgeaient
allgeais
allgeait
allgeant
allgement
allgeons
allger
allgera
allgerai
allgeraient
allgerait
allgerez
allgeriez
allgerions
allgerons
allgeront
allgez
allgiez
allgions
allgorie
allgorique
allgresse
allgurent
allgu
allgua
allguaient
allguais
allguait
allguant
allguer
allguera
allguerai
allgueraient
allguerait
allguerez
allgueriez
allguerions
allguerons
allgueront
allguez
allguiez
allguions
allguons
all
allaitrent
allait
allaita
allaitaient
allaitais
allaitait
allaitant
allaite
allaitement
allaitent
allaiter
allaitera
allaiterai
allaiteraient
allaiterait
allaiterez
allaiteriez
allaiterions
allaiterons
allaiteront
allaitez
allaitiez
allaitions
allaitons
allant
Allemagne
allemand
aller
allergie
allergique
alliage
alliance
allier
alligator
allitration
allocataire
allocation
allocution
allongement
allonger
allons
allouer
allumage
allume-cigares
allume-gaz
allumer
allumette
allure
allusif
allusion
alluvionner
alluvions
almanach
alos
aloi
alors
alouette
alourdir
alourdissement
alpaga
alpage
alpaguer
alpha
alphabtique
alphabtisation
alphabtiser
alphabtisme
alphabet
alphanumrique
alpin
alpinisme
alpiniste
altre
altrent
altrrent
altr
altra
altraient
altrais
altrait
altrant
altration
altrer
altrera
altrerai
altreraient
altrerait
altrerez
altreriez
altrerions
altrerons
altreront
altrez
altriez
altrions
altrons
alter
altercation
alternance
alternatif
alternativement
alterner
altesse
altier
altimtre
altitude
alto
altruisme
altruiste
alu
aluminer
aluminium
aluminium
aluner
alunir
alvole
amne
amnent
amnera
amnerai
amneraient
amnerait
amnerez
amneriez
amnerions
amnerons
amneront
amrement
amliorable
amlioration
amlioration
amliorer
amnageable
amnagement
amnagement
amnager
amnit
amricain
amricanis
amricanisation
amricaniser
amricanisme
Amrique
amthyste
amabilit
Amadeus
amadouer
amaigrir
amaigrissant
amaigrissement
amalgamer
amande
amandier
amant
amarante
amariner
amarrage
amarrer
amas
amasser
amateur
amateurisme
amatir
amazone
ambages
ambassade
ambassadeur
ambassadrice
ambiance
ambiant
ambidextre
ambigu
ambigu
ambigut
ambitieusement
ambitieux
ambition
ambitionner
amble
ambler
ambr
ambre
ambrer
ambulance
ambulancier
ambulant
amen
amenrent
amen
amena
amenaient
amenais
amenait
amenant
amendement
amender
amener
amenez
ameniez
amenions
amenons
amenuisement
amenuiser
amer
amerrir
amerrissage
amertume
ameublement
ameublir
ameuter
ami
amiable
amiante
amibe
amical
amicalement
amidon
amidonn
amidonnage
amidonnant
amidonner
amincir
amincissant
amincissement
amiral
amiraut
amiraux
amiti
ammoniac
ammoniaque
amnsie
amnsique
amnistier
amocher
amodiation
amodier
amoindrir
amoindrissement
amollir
amollissant
amollissement
amonceler
amoncellement
amont
amorage
amoral
amoralisme
amorcer
amorphe
amortir
amortissable
amortissement
amortisseur
amour
amour-propre
amouracher
amourette
amoureux
amovible
ampre
amphi
amphibie
amphithtre
ample
amplement
ampleur
ampli
ampli-tuner
ampliation
amplificateur
amplification
amplificatrice
amplifier
amplis-tuners
amplitude
ampoul
ampoule
amputation
amputer
amur
amulette
amurer
amusant
amuse-gueule
amusement
amuser
amusette
amuseur
amygdale
an
anantir
anantissement
anmirent
anmi
anmia
anmiaient
anmiait
anmiant
anmie
anmient
anmier
anmiera
anmieraient
anmierait
anmieront
anmique
anmone
anvrisme
anachronique
anachronisme
anagramme
analgsie
analgsique
analogie
analogique
analogue
analphabte
analphabtisme
analysable
analyse
analyser
analyseur
analyste
analytique
ananas
anarchie
anarchique
anarchisme
anarchiste
anastomoser
anathme
anathmatiser
anatomie
anatomique
anatomiser
anaux
anctre
ancestral
anche
anchois
ancien
anciennement
anciennet
ancolie
ancrage
ancrer
and
andouille
andouillette
Andr
anecdote
anecdotique
anesthsirent
anesthsi
anesthsia
anesthsiaient
anesthsiait
anesthsiant
anesthsie
anesthsient
anesthsier
anesthsiera
anesthsieraient
anesthsierait
anesthsieront
anesthsique
anesthsiste
anfractuosit
anglique
anglus
ange
angelot
Angie
angine
anglais
anglaise
anglaiser
angle
Angleterre
anglican
anglicanisme
anglicis
angliciser
anglicisme
angliciste
anglo-saxon
anglophile
anglophilie
anglophone
angoissant
angoisser
angora
anguille
angulaire
anguleux
anhler
anicroche
animal
animalcule
animaliser
animalit
animateur
animation
animatrice
animer
animosit
anis
anis
aniser
anisette
Anjou
ankylosrent
ankylos
ankylosa
ankylosaient
ankylosait
ankylosant
ankylose
ankylosent
ankyloser
ankylosera
ankyloseraient
ankyloserait
ankyloseront
anne
anne
annales
Anne-Marie
anneau
anneaux
anneler
annexer
annexion
annexionnisme
annexionniste
annihilation
annihiler
anniversaire
annoncer
annonceur
annonceuse
annonciateur
annonciatrice
annotation
annoter
annuaire
annualit
annuel
annuellement
annuit
annuitaire
annulaire
annulation
annuler
anoblir
anoblissement
anode
anodin
anodis
anodiser
anomalie
anonymat
anonyme
anonymement
anophle
anorak
anordir
anormal
anormalement
anse
ANSI
antcdent
antdiluvien
antposer
antrieur
antrieurement
antriorit
antagonique
antagonisme
antagoniste
antan
antarctique
antenne
anthologie
anthracite
anthropode
anthropologie
anthropologique
anthropologue
anthropomtrie
anthropomtrique
anthropomorphique
anthropomorphisme
anthropophage
anthropophagie
anti-imprialisme
anti-imprialiste
anti-inflammatoire
anti-inflationniste
antiarien
antialcoolique
antialcoolisme
antiatomique
antibiotique
antibrouillard
antibruit
anticancreux
anticapitaliste
anticasseurs
antichambre
antichar
anticipation
anticiper
anticlrical
anticlricalisme
anticoagulant
anticolonialisme
anticolonialiste
anticommunisme
anticommuniste
anticonceptionnel
anticonformisme
anticonformiste
anticonstitutionnel
anticonstitutionnellement
anticorps
anticyclone
antidmocratique
antidpresseur
antidrapant
antidater
antidiphtrique
antidopage
antidote
antidumping
antienne
antigang
antigel
antiglisse
antigouvernemental
antihros
antihausse
antilope
antimilitarisme
antimilitariste
antimite
antinomie
antinomique
antinuclaire
antiparasite
antiparasiter
antiparlementarisme
antipathie
antipathique
antiphrase
antipode
antipoison
antipoliomylitique
antiquaille
antiquaire
antique
antiquit
antirglementaire
antireligieux
antirides
antirouille
antismite
antismitisme
antisepsie
antiseptique
antisocial
antithse
antithtique
antitrust
antituberculeux
antivariolique
antivenimeux
antivol
antonyme
antonymie
antre
anus
anxit
anxieusement
anxieux
anxiogne
aot
aotat
aorte
apriteur
apritif
aptre
apache
apaisant
apaisement
apaiser
apanage
apart
apartheid
apathie
apathique
apatride
aperois
aperoit
aperoive
aperoivent
aperu
aperue
aperurent
aperut
apercevaient
apercevais
apercevait
apercevant
apercevez
aperceviez
apercevions
apercevoir
apercevons
apercevra
apercevrai
apercevraient
apercevrait
apercevrez
apercevriez
apercevrions
apercevrons
apercevront
aperture
apesanteur
apeur
apeurer
aphasie
aphasique
aphone
aphorisme
aphrodisiaque
aphte
aphteuse
apiculteur
apiculture
apiquer
apitoie
apitoiement
apitoient
apitoiera
apitoierai
apitoieraient
apitoierait
apitoierez
apitoieriez
apitoierions
apitoierons
apitoieront
apitoyrent
apitoy
apitoya
apitoyaient
apitoyais
apitoyait
apitoyant
apitoyer
apitoyez
apitoyiez
apitoyions
apitoyons
aplanir
aplanissement
aplatir
aplatissement
aplomb
apocalypse
apocalyptique
apocryphe
apoge
apolitique
apolitisme
apologie
apologiste
apologue
apoplectique
apoplexie
apostasie
apostasier
aposter
apostiller
apostolat
apostolique
apostrophe
apostropher
apothose
apothicaire
appt
apptrent
appt
appta
apptaient
apptais
apptait
apptant
apptent
appter
apptera
appterai
appteraient
appterait
appterez
appteriez
appterions
appterons
appteront
apptez
apptiez
apptions
apptons
apptissant
apptit
appairer
apparat
apparatra
apparatrai
apparatraient
apparatrait
apparatre
apparatrez
apparatriez
apparatrions
apparatrons
apparatront
apparais
apparaissaient
apparaissais
apparaissait
apparaissant
apparaisse
apparaissent
apparaissez
apparaissiez
apparaissions
apparaissons
apparat
appareil
appareillage
appareiller
apparemment
apparence
apparent
apparentrent
apparent
apparenta
apparentaient
apparentais
apparentait
apparentant
apparentement
apparentent
apparenter
apparentera
apparenterai
apparenteraient
apparenterait
apparenterez
apparenteriez
apparenterions
apparenterons
apparenteront
apparentez
apparentiez
apparentions
apparentons
appariement
apparier
appariteur
apparition
appartement
appartenaient
appartenais
appartenait
appartenance
appartenant
appartenez
apparteniez
appartenions
appartenir
appartenons
appartenu
appartenue
appartiendra
appartiendrai
appartiendraient
appartiendrait
appartiendrez
appartiendriez
appartiendrions
appartiendrons
appartiendront
appartienne
appartiennent
appartiens
appartient
appartinrent
appartint
apparu
apparue
apparurent
apparut
appas
appauvrir
appauvrissement
appel
appel
appelrent
appel
appela
appelaient
appelais
appelait
appelant
appeler
appelez
appeliez
appelions
appellation
appellent
appellera
appellerai
appelleraient
appellerait
appellerez
appelleriez
appellerions
appellerons
appelleront
appelons
appendice
appendicite
appendre
appentis
appesantir
appesantissement
applaudir
applaudissement
Apple
applicable
applicateur
application
application
appliquer
appliquer
appoint
appointrent
appoint
appointa
appointaient
appointais
appointait
appointant
appointements
appointent
appointer
appointera
appointerai
appointeraient
appointerait
appointerez
appointeriez
appointerions
appointerons
appointeront
appointez
appointiez
appointions
appointons
apponter
apport
apport
apportrent
apport
apporta
apportaient
apportais
apportait
apportant
apportent
apporter
apportera
apporterai
apporteraient
apporterait
apporterez
apporteriez
apporterions
apporterons
apporteront
apportez
apportiez
apportions
apportons
apposer
apposition
apprciable
apprciation
apprcier
apprhender
apprhension
apprt
apprtrent
apprt
apprta
apprtaient
apprtais
apprtait
apprtant
apprtent
apprter
apprtera
apprterai
apprteraient
apprterait
apprterez
apprteriez
apprterions
apprterons
apprteront
apprtez
apprtiez
apprtions
apprtons
apprenaient
apprenais
apprenait
apprenant
apprend
apprendra
apprendrai
apprendraient
apprendrait
apprendre
apprendrez
apprendriez
apprendrions
apprendrons
apprendront
apprenez
appreniez
apprenions
apprenne
apprennent
apprenons
apprenti
apprentissage
apprentissage
apprirent
appris
apprise
apprit
apprivoisement
apprivoiser
approbateur
approbatif
approbation
approbation
approbatrice
approchant
approche
approcher
approfondir
approfondissement
appropriation
approprier
approuver
approvisionnement
approvisionner
approximatif
approximation
approximation
approximativement
appui
appui-bras
appui-tte
appuient
appuiera
appuierai
appuieraient
appuierait
appuierez
appuieriez
appuierions
appuierons
appuieront
appuis-bras
appuis-tte
appuyrent
appuy
appuya
appuyaient
appuyais
appuyait
appuyant
appuyer
appuyez
appuyiez
appuyions
appuyons
apr
aprs
aprs-demain
aprs-guerre
aprs-midi
aprs-rasage
aprs-ski
aprs-vente
apraxie
April
apriorisme
apte
aptitude
aptitude
apurement
apurer
aquarelle
aquarelliste
aquarium
aquatique
aqueduc
aqueux
aquilin
aron
aronner
arne
aropage
arte
arme
arabe
arabesque
arabisation
arabiser
arable
arabophone
arachide
araigne
araser
arbalte
arbitrage
arbitragiste
arbitraire
arbitrairement
arbitrer
arborer
arborescent
arboricole
arboriculteur
arboricultrice
arboriculture
arbre
arbuste
arc
arc-bouta
arc-boutai
arc-bouter
arc-boutera
arc-bouterai
arc-en-ciel
arcade
arcane
arceau
arceaux
archologie
archologique
archologue
archtype
archaque
archasme
archange
arche
archer
archet
archevque
Archibald
archipel
architecte
architectural
architecture
architecture
architecturer
archivage
archive
archiver
archiviste
arcs-boutants
arcs-en-ciel
arctique
ardemment
ardent
ardeur
ardoise
ardoisire
ardt
ardu
ardue
are
argent
argenter
argenterie
argentier
argentin
argile
argileux
argot
argotique
arguer
argument
argumentrent
argument
argumenta
argumentaient
argumentaire
argumentais
argumentait
argumentant
argumentation
argumentent
argumenter
argumentera
argumenterai
argumenteraient
argumenterait
argumenterez
argumenteriez
argumenterions
argumenterons
argumenteront
argumentez
argumentiez
argumentions
argumentons
argutie
aria
aride
aridit
ariser
aristocrate
aristocratie
aristocratique
arithmtique
arlequin
armateur
armature
armement
armer
armistice
armoire
armoiries
armori
armorier
armure
armurerie
armurier
arnaquer
arnica
aromate
aromatique
aromatis
aromatiser
arpge
arpger
arpent
arpentrent
arpent
arpenta
arpentaient
arpentais
arpentait
arpentant
arpentent
arpenter
arpentera
arpenterai
arpenteraient
arpenterait
arpenterez
arpenteriez
arpenterions
arpenterons
arpenteront
arpenteur
arpentez
arpentiez
arpentions
arpentons
arquer
arrrag
arrrageant
arrrager
arrrages
arrt
arrt
arrtrent
arrt
arrta
arrtaient
arrtais
arrtait
arrtant
arrtent
arrter
arrtera
arrterai
arrteraient
arrterait
arrterez
arrteriez
arrterions
arrterons
arrteront
arrtez
arrtiez
arrtions
arrtons
arrachage
arrache-pied
arrachement
arracher
arracheur
arraisonnement
arraisonner
arrangeant
arrangement
arranger
arrestation
arrhes
arrire
arrire-boutique
arrire-cour
arrire-garde
arrire-got
arrire-grand-mre
arrire-grand-oncle
arrire-grand-pre
arrire-grand-tante
arrire-grands-oncles
arrire-grands-pres
arrire-grands-parents
arrire-pays
arrire-pense
arrire-petit-fils
arrire-petite-fille
arrire-petites-filles
arrire-petits-enfants
arrire-petits-fils
arrire-plan
arrire-saison
arrire-train
arrir
arrimage
arrimer
arrivage
arrivant
arrive
arriver
arrivera-t-il
arrivisme
arriviste
arrogance
arrogant
arroger
arrond
arrondir
arrondissement
arrosage
arroser
arroseur
arroseuse
arrosoir
arsenal
arsenaux
arsenic
art
artre
artriel
artriosclrose
artrite
arthrite
arthritique
arthritisme
arthrose
artichaut
article
articulaire
articulation
articulatoire
articuler
artifice
artificiel
artificier
artificieux
artillerie
artilleur
artisan
artisanal
artisanat
artiste
artistique
artistiquement
as
ascse
ascte
asctique
asctisme
ascendance
ascendant
ascenseur
ascension
ascensionnel
ASCII
asepsie
aseptique
aseptis
aseptisant
aseptiser
asexu
asiatique
asile
asocial
asprit
aspect
asperger
aspersion
asphaltage
asphalte
asphalter
asphyxirent
asphyxi
asphyxia
asphyxiaient
asphyxiait
asphyxiant
asphyxie
asphyxient
asphyxier
asphyxiera
asphyxieraient
asphyxierait
asphyxieront
aspic
aspirant
aspirateur
aspiration
aspirer
aspirine
assche
asschement
asschent
assne
assnent
asschrent
assch
asscha
asschaient
asschais
asschait
asschant
asscher
asschera
asscherai
asscheraient
asscherait
asscherez
asscheriez
asscherions
asscherons
asscheront
asschez
asschiez
asschions
asschons
assnrent
assn
assna
assnaient
assnais
assnait
assnant
assner
assnera
assnerai
assneraient
assnerait
assnerez
assneriez
assnerions
assnerons
assneront
assnez
assniez
assnions
assnons
assagir
assagissement
assaillaient
assaillais
assaillait
assaillant
assaille
assaillent
assaillez
assailli
assailliez
assaillions
assaillir
assaillira
assaillirai
assailliraient
assaillirait
assaillirent
assaillirez
assailliriez
assaillirions
assaillirons
assailliront
assaillit
assaillons
assainir
assainissement
assaisonn
assaisonnant
assaisonnement
assaisonner
assarmenter
assassin
assassinrent
assassin
assassina
assassinaient
assassinais
assassinait
assassinant
assassinat
assassinent
assassiner
assassinera
assassinerai
assassineraient
assassinerait
assassinerez
assassineriez
assassinerions
assassinerons
assassineront
assassinez
assassiniez
assassinions
assassinons
assaut
assemble
assemblage
assembler
assembleur
assentiment
asseoir
asserment
assermentation
assermenter
assertion
asservir
asservissement
asservissement
asservisseur
assesseur
asseyaient
asseyais
asseyait
asseyant
asseye
asseyent
asseyez
asseyiez
asseyions
asseyons
assez
assige
assigent
assigrent
assig
assigea
assigeaient
assigeais
assigeait
assigeant
assigeons
assiger
assigera
assigerai
assigeraient
assigerait
assigerez
assigeriez
assigerions
assigerons
assigeront
assigez
assigiez
assigions
assira
assirai
assiraient
assirait
assirez
assiriez
assirions
assirons
assiront
assidment
assidu
assidue
assiduit
assied
assiette
assiette
assignation
assigner
assimilable
assimilation
assimiler
assirent
assis
assise
assistance
assistance
assistant
assister
assit
associatif
association
association
associer
assoie
assoient
assoiff
assoiffant
assoiffer
assoira
assoirai
assoiraient
assoirait
assoirez
assoiriez
assoirions
assoirons
assoiront
assois
assoit
assolement
assoler
assombrir
assombrissement
assommer
assonance
assorti
assortiment
assortir
assortira
assortirai
assortiraient
assortirait
assortirent
assortirez
assortiriez
assortirions
assortirons
assortiront
assortissaient
assortissais
assortissait
assortissant
assortisse
assortissent
assortissez
assortissiez
assortissions
assortissons
assortit
assoupir
assoupissement
assouplir
assouplissement
assourdir
assourdissant
assourdissement
assouvir
assouvissement
assoyaient
assoyais
assoyait
assoyant
assoyez
assoyiez
assoyions
assoyons
assujettir
assujettissant
assujettissement
assume
assumer
assurment
assurable
assurance
assurance
assurance-chmage
assurer
assureur
astrisque
asthnie
asthnique
asthmatique
asthme
asticot
asticoter
astigmate
astigmatisme
astiquage
astiquer
astrakan
astral
astre
astreignaient
astreignais
astreignait
astreignant
astreigne
astreignent
astreignez
astreigniez
astreignions
astreignirent
astreignit
astreignons
astreindra
astreindrai
astreindraient
astreindrait
astreindre
astreindrez
astreindriez
astreindrions
astreindrons
astreindront
astreins
astreint
astringent
astrologie
astrologique
astrologue
astronaute
astronautique
astronome
astronomie
astronomique
astuce
astucieusement
astucieux
asymtrie
asymtrique
asymptote
asymptotique
asynchrone
atavique
atavisme
atelier
atelier
atemporel
atermoie
atermoiement
atermoient
atermoiera
atermoierai
atermoieraient
atermoierait
atermoierez
atermoieriez
atermoierions
atermoierons
atermoieront
atermoyrent
atermoy
atermoya
atermoyaient
atermoyais
atermoyait
atermoyant
atermoyer
atermoyez
atermoyiez
atermoyions
atermoyons
athe
athisme
athlte
athltique
athltisme
atlantique
atlas
atmosphre
atmosphrique
atoll
atome
atomique
atomisrent
atomis
atomisa
atomisaient
atomisait
atomisant
atomisation
atomise
atomisent
atomiser
atomisera
atomiseraient
atomiserait
atomiseront
atomiseur
atomiste
atone
atonie
atours
atout
atrabilaire
atroce
atrocement
atrocit
atrophier
attnuant
attnuation
attnuer
attabl
attablant
attabler
attach-case
attachs-cases
attachant
attachement
attacher
attaquant
attaquer
attaquer
attarder
atteignable
atteignaient
atteignais
atteignait
atteignant
atteigne
atteignent
atteignez
atteigniez
atteignions
atteignirent
atteignit
atteignons
atteindra
atteindrai
atteindraient
atteindrait
atteindre
atteindrez
atteindriez
atteindrions
atteindrons
atteindront
atteins
atteint
attel
attelage
attelant
atteler
attelle
attenant
attend
attendaient
attendais
attendait
attendant
attendent
attendez
attendiez
attendions
attendirent
attendit
attendons
attendra
attendrai
attendraient
attendrait
attendre
attendrez
attendriez
attendrions
attendrir
attendrissant
attendrissement
attendrisseur
attendrons
attendront
attendu
attendue
attentrent
attent
attenta
attentaient
attentais
attentait
attentant
attentat
attentatoire
attente
attentent
attenter
attentera
attenterai
attenteraient
attenterait
attenterez
attenteriez
attenterions
attenterons
attenteront
attentez
attentiez
attentif
attention
attention
attentionn
attentisme
attentiste
attentivement
attentons
atterrant
atterrer
atterrir
atterrissage
attestation
attester
attidir
attifer
attiger
attirail
attirance
attirant
attirer
attiser
attitr
attitude
attouchement
attracteur
attractif
attraction
attrait
attrape-nigaud
attraper
attrayant
attremper
attribuable
attribuer
attribut
attribution
attristant
attrister
attrouprent
attroup
attroupa
attroupaient
attroupait
attroupant
attroupe
attroupement
attroupent
attrouper
attroupera
attrouperaient
attrouperait
attrouperont
atypique
au
au-dedans
au-dehors
au-del
au-dessous
au-dessus
au-devant
aubpine
aubade
aubaine
aube
auberge
aubergine
aubergiste
Aubertin
aubier
Auclair
aucun
aucunement
audace
audacieusement
audacieux
audible
audience
audiovisuel
audit
auditeur
auditif
audition
auditionner
auditoire
auditorium
auditrice
Audy
auge
augmentation
augmentent
augmenter
augurer
auguste
aujourd'hui
aumne
aumnerie
aumnier
aune
auparavant
auprs
auquel
aurol
aurole
auroler
aura
aura
aurai
auraient
aurais-tu
aurait
aurez
auriculaire
auriez
auriez-vous
aurifre
aurifier
aurions
aurons
auront
aurore
auscultation
ausculter
auspices
aussi
aussitt
austre
austrit
austral
autant
autarcie
autarcique
autel
auteur
authenticit
authentification
authentifier
authentique
authentiquement
authentiquer
auto
auto-cole
auto-quilibrant
auto-calibration
auto-stop
auto-stoppeur
auto-stoppeuse
autobiographie
autobiographique
autobus
AutoCAD
autocar
autocassable
autocensure
autocensurer
autochtone
autocollant
autocrate
autocratie
autocratique
autocritique
autocuiseur
autodfense
autodtermination
autodestructeur
autodestruction
autodestructrice
autodidacte
autodiscipline
autodrome
autofinancement
autofinancer
autogr
autogestion
autogestionnaire
autographe
autographier
autoguid
autoguidage
automate
automation
automatique
automatiquement
automatisation
automatiser
automatisme
automitrailleuse
automnal
automne
automobile
automobiliste
autonettoyant
autonome
autonomie
autonomiste
autoportrait
autopropuls
autopsie
autopsier
autoradio
autorail
autorisation
autoriser
autorit
autoritaire
autoritarisme
autoroute
autos-couchettes
autosatisfaction
autosuggestion
autosuggestionner
autour
autre
autre
autrefois
autrement
autrichien
autruche
autrui
auvent
auxiliaire
auxquelles
auxquels
av
avnement
avrer
avachir
avachissement
avaient
avais
avait
aval
avalrent
aval
avala
avalaient
avalais
avalait
avalanche
avalant
avale
avalent
avaler
avalera
avalerai
avaleraient
avalerait
avalerez
avaleriez
avalerions
avalerons
avaleront
avalez
avaliez
avalions
avaliser
avalons
avance
avancement
avancer
avanie
avant
avant
avant-bras
avant-centre
avant-coureur
avant-creuset
avant-dernier
avant-garde
avant-got
avant-guerre
avant-hier
avant-midi
avant-poste
avant-premire
avant-projet
avant-propos
avant-scne
avant-train
avant-veille
avantage
avantager
avantageusement
avantageux
avants-centres
avare
avari
avariant
avarice
avarie
avarier
avatar
avec
avenant
avenir
aventurer
aventureux
aventurier
avenu
avenue
averse
aversion
avertir
avertissement
avertisseur
aveu
aveuglment
aveuglant
aveuglement
aveugler
aveuglette
aveulir
aveulissement
avez
avez-vous
aviateur
aviation
aviatrice
aviculteur
avicultrice
aviculture
avide
avidement
avidit
aviez
avilir
avilissant
avilissement
avin
aviner
avion
avionique
aviron
avis
avisrent
avis
avisa
avisaient
avisais
avisait
avisant
avise
avisent
aviser
avisera
aviserai
aviseraient
aviserait
aviserez
aviseriez
aviserions
aviserons
aviseront
avisez
avisiez
avisions
aviso
avisons
avitailler
avitaminose
aviver
avocat
avoine
avoir
avoisinant
avoisiner
avons
avortement
avorter
avorton
avouable
avouer
avr
avril
axer
axiomatiser
axiome
axones
ayant
ayant
ayatollah
ayez
ayons
azale
azimut
azot
azote
azur
azur
azurer
azyme
bbord
bcher
bclage
bcler
bfrer
billrent
bill
billa
billaient
billais
billait
billant
bille
billement
billent
biller
billera
billerai
billeraient
billerait
billerez
billeriez
billerions
billerons
billeront
billez
billiez
billions
billon
billonnement
billonner
Ble
bt
btard
bter
bti
btiment
btir
btira
btirai
btiraient
btirait
btirent
btirez
btiriez
btirions
btirons
btiront
btissaient
btissais
btissait
btissant
btisse
btissent
btisseur
btissez
btissiez
btissions
btissons
btit
bton
btonner
btonnet
btonnier
bgue
bant
bat
batement
batification
batifier
batitude
bb
bcane
bcarre
bcasse
bcassine
bchamel
bcoter
be
ber
bgaiement
bgayer
bgonia
bgueter
bgueule
bguin
Blair
blier
blouga
bluga
bmol
bmoliser
bndictin
bndiction
bnfice
bnficirent
bnfici
bnficia
bnficiaient
bnficiaire
bnficiais
bnficiait
bnficiant
bnficie
bnficient
bnficier
bnficiera
bnficierai
bnficieraient
bnficierait
bnficierez
bnficieriez
bnficierions
bnficierons
bnficieront
bnficiez
bnficiiez
bnficiions
bnficions
bnfique
bnvolat
bnvole
bnvolement
bnigne
bnin
bnir
bnit
bnitier
botien
bqueter
bquille
bquiller
bret
bribri
btail
btaillre
bton
btonnage
btonner
btonneuse
bvue
bcher
bcheveter
blant
blement
bler
bta
bte
btement
btifier
btise
bcher
bcheron
bchette
bcheur
bcheuse
baonnette
baba
babil
babillage
babiller
babines
babiole
babouche
babouin
baby-foot
baby-sitter
bac
baccalaurat
baccara
baccarat
bachelier
bachot
bachotage
bachoter
bacille
bacon
bactricide
bactrie
bactrien
bactriologie
bactriologique
bactriologiste
badaud
baderne
badge
badigeon
badigeonnage
badigeonner
badin
badinage
badiner
badinerie
badminton
baffle
bafouer
bafouillage
bafouiller
bafouilleur
bafouilleuse
bagage
bagagiste
bagarrer
bagarreur
bagarreuse
bagatelle
bagnard
bagne
bagou
bagout
bagu
baguage
bague
baguenauder
baguer
baguette
bahut
bai
baignade
baigner
baigneur
baigneuse
baignoire
bail
bailleresse
bailleur
bain
bain-marie
bains-marie
baisemain
baiser
baisoter
baisser
bajoue
bakchich
bal
balade
balader
baladeuse
baladin
balafr
balafre
balafrer
balai
balai-brosse
balais-brosses
balanoire
balancement
balancer
balancier
balayage
balayer
balayette
balayeur
balayeuse
balbutiant
balbutiement
balbutier
balcon
baldaquin
baleine
baleineau
baleineaux
baleinier
balisage
baliser
balistique
baliveau
baliveaux
baliverne
balkaniser
ball-trap
ballade
ballant
ballast
ballaster
ballastire
baller
ballerine
ballet
ballon
ballon-sonde
ballonnement
ballonner
ballonnet
ballons-sondes
ballot
ballottage
ballottement
ballotter
balluchon
balnaire
balourd
baluchon
balustrade
bambin
bambocher
bambou
ban
banal
banale
banaliser
banalit
banane
bananeraie
bananier
banc
bancable
bancaire
bancal
bancale
bancher
banco
bandage
bandeau
bandeaux
bandelette
bander
banderille
banderole
bandit
banditisme
bandoulire
bang
banjo
banlieue
banlieusard
bannire
bannir
bannissement
banque
banquer
banqueroute
banquet
banqueter
banquier
banquise
bantou
bantoue
baobab
baptme
baptiser
baquet
bar
barme
baragouiner
baraque
baraquement
baraquer
baratin
baratiner
baratte
baratter
barbare
barbarie
barbarisme
barbe
barbeau
barbeaux
barbecue
barbel
barber
barbet
barbiche
barbier
barbifier
barbiturique
barbon
barbotage
barboter
barboteuse
barbouillage
barbouiller
barbouilleur
barbu
barbue
barder
barge
barguigner
baril
barillet
bariol
bariolage
bariolant
barioler
barmaid
barman
barmen
baromtre
baromtrique
baron
baroque
barque
barquette
barrage
barreau
barreaux
barrer
barrette
barreur
barreuse
barrire
barricader
barrique
barrir
barrissement
Barry
baryton
bas
basrent
bas
bas-bleu
bas-ct
bas-fond
bas-niveau
bas-relief
bas-ventre
basa
basaient
basais
basait
basan
basane
basaner
basant
basculant
basculer
base
base-ball
basent
baser
basera
baserai
baseraient
baserait
baserez
baseriez
baserions
baserons
baseront
basez
BASIC
basiez
basilaire
basilic
basilique
basions
basique
basket
basket-ball
basketteur
basketteuse
basons
basque
basse
basse-cour
bassement
basses-cours
bassesse
basset
bassin
bassiner
bassiste
basson
bastille
bastingage
bastion
bastonnade
bastringue
bat
bat-flanc
bataille
batailler
batailleur
batailleuse
bataillon
bateau
bateau-citerne
bateau-mouche
bateau-pompe
bateaux
bateaux-citernes
bateaux-mouches
bateaux-pompes
bateler
bateleur
batelier
batellerie
bathyscaphe
batifoler
batracien
battage
battaient
battais
battait
battant
batte
battement
battent
batterie
batteur
batteuse
battez
battiez
battions
battirent
battit
battons
battra
battrai
battraient
battrait
battre
battrez
battriez
battrions
battrons
battront
battu
battue
baud
baudet
baudrier
baudroie
baudruche
bauge
baume
baux
bauxite
bavard
bavardrent
bavard
bavarda
bavardage
bavardaient
bavardais
bavardait
bavardant
bavardent
bavarder
bavardera
bavarderai
bavarderaient
bavarderait
bavarderez
bavarderiez
bavarderions
bavarderons
bavarderont
bavardez
bavardiez
bavardions
bavardons
bavasser
baver
bavette
baveux
bavocher
bavoir
bavure
bayadre
bayer
bazar
bazarder
bazooka
bd
be-bop
beau
beau-fils
beau-frre
beau-pre
beaucoup
Beaudoin
beaujolais
Beaulac
beaupr
beaut
beaux-arts
beaux-fils
beaux-frres
beaux-pres
beaux-parents
bec
bec-de-livre
becque
becqueter
becter
bedeau
bedeaux
bedonnant
bedonner
beffroi
beige
beignet
bel
belette
belge
belgicisme
belltre
Bell-Northern
belladone
belle
belle-famille
belle-fille
belle-mre
belle-soeur
Bellemarre
belles-filles
belles-lettres
belles-mres
belles-soeurs
Bellevue
bellicisme
belligrance
belligrant
belliqueux
belon
belote
belvdre
bent
benjamin
benjoin
benne
benot
Benoit
Bentz
benzne
benzine
berbre
bercail
berceau
berceaux
bercement
bercer
berceur
berceuse
bergamote
berge
berger
bergerie
bergeronnette
berline
berlingot
berlue
bermuda
Bernard
bernard-l'ermite
berner
bernique
besace
Bescherelle
besogne
besogner
besogneux
besoin
best-seller
bestiaire
bestial
bestialit
bestiole
bette
betterave
betteravier
beuglement
beugler
beurr
beurrant
beurre
beurrer
beurrier
beuverie
bire
biais
biaisrent
biais
biaisa
biaisaient
biaisais
biaisait
biaisant
biaise
biaisent
biaiser
biaisera
biaiserai
biaiseraient
biaiserait
biaiserez
biaiseriez
biaiserions
biaiserons
biaiseront
biaisez
biaisiez
biaisions
biaisons
bibelot
biberon
biberonner
bible
bibliobus
bibliographie
bibliographique
bibliophile
bibliophilie
bibliothque
bibliothcaire
biblique
bicphale
bicentenaire
biceps
biche
bicher
bichonner
bicolore
bicoque
bicorne
bicyclette
bidet
bidon
bidonner
bidonville
bidules
bielle
bien
bien-tre
bien-aim
bien-fond
bien-fonds
bien-pensant
bienfaisance
bienfaisant
bienfait
bienfaiteur
bienfaitrice
bienheureux
biennal
biensance
biensant
biens-fonds
bientt
bienveillance
bienveillant
bienvenu
bienvenue
biffer
biffure
bifteck
bifurcation
bifurqurent
bifurqu
bifurqua
bifurquaient
bifurquais
bifurquait
bifurquant
bifurque
bifurquent
bifurquer
bifurquera
bifurquerai
bifurqueraient
bifurquerait
bifurquerez
bifurqueriez
bifurquerions
bifurquerons
bifurqueront
bifurquez
bifurquiez
bifurquions
bifurquons
bigame
bigamie
bigarr
bigarreau
bigarreaux
bigarrer
bigarrure
bigler
bigorneau
bigorneaux
bigorner
bigoterie
bigoudi
bihebdomadaire
bijectif
bijection
bijective
bijou
bijouterie
bijoutier
bijoux
bilan
bilatral
bilboquet
bile
biler
biliaire
bilieux
bilingue
bilinguisme
billard
bille
biller
billet
billetterie
billevese
billion
billot
biloquer
bimensuel
bimestriel
bimoteur
binage
binaire
biner
biniou
binocle
bionergie
biochimie
biodgradable
biographe
biographie
biographique
biologie
biologique
biologiste
biomcanique
biomdical
bionique
biopsie
bipde
bipartisme
bipartite
bipasser
bis
bisannuel
biscornu
biscornue
biscotte
biscuit
biscuiter
biscuiterie
bise
biseau
biseaut
biseautage
biseautant
biseauter
biseaux
biser
bisexu
bisexuel
bison
bisque
bisquer
bissectrice
bisser
bissextile
bistouri
bistourner
bistr
bistre
bistrer
bistro
bistrot
bit
bitension
bitter
bitum
bitumage
bitume
bitumer
bituminer
biturer
bivalent
bivouac
bivouaquer
bizarre
bizarrement
bizarrerie
bizutage
bizuter
blmable
blmer
bl
blser
blme
blmir
black-out
blackbouler
blafard
blaguer
blagueur
blagueuse
blaireau
blaireaux
blairer
Blais
blanc
blanc-bec
blanc-seing
blanchtre
blanche
blancheur
blanchi
blanchiment
blanchir
blanchira
blanchirai
blanchiraient
blanchirait
blanchirent
blanchirez
blanchiriez
blanchirions
blanchirons
blanchiront
blanchissage
blanchissaient
blanchissais
blanchissait
blanchissant
blanchisse
blanchissent
blanchisserie
blanchisseur
blanchisseuse
blanchissez
blanchissiez
blanchissions
blanchissons
blanchit
blancs-becs
blancs-seings
blanquette
blas
blaser
blason
blasonner
blasphme
blasphmateur
blasphmatoire
blasphmatrice
blasphmer
blatrer
blatte
blazer
blessant
blesser
blessure
blet
blettir
bleu
bleutre
bleue
bleuet
bleuir
bleut
bleuter
blindage
blinder
blizzard
bloc
bloc-vier
bloc-cuisine
bloc-moteur
bloc-notes
blocage
blockhaus
blocs-viers
blocs-cuisines
blocs-moteurs
blocs-notes
blocus
blond
blondeur
blondir
bloquer
blottir
blouse
blouser
blouson
blue-jean
blues
bluff
bluffer
bluffeur
bluffeuse
blutage
bluter
bote
botier
boa
bob
bobche
bobinage
bobinage
bobiner
bobsleigh
bocage
bocal
bocarder
bocaux
bock
boeuf
bogue
bohme
bohmien
Boily
boira
boirai
boiraient
boirait
boire
boirez
boiriez
boirions
boirons
boiront
bois
boisage
boiser
boiserie
boisseau
boisseaux
boisson
boit
boitrent
boit
boita
boitaient
boitais
boitait
boitant
boite
boitent
boiter
boitera
boiterai
boiteraient
boiterait
boiterez
boiteriez
boiterions
boiterons
boiteront
boiteux
boitez
boitiez
boitiller
boitions
boitons
boive
boivent
Boivin
bol
bole
bolro
bolet
bolide
bomb
bombance
bombardement
bombarder
bombardier
bombe
bombement
bomber
bombyx
bon
bonbon
bonbonnire
bond
bond
bond
bondi
bondir
bondira
bondirai
bondiraient
bondirait
bondirent
bondirez
bondiriez
bondirions
bondirons
bondiront
bondissaient
bondissais
bondissait
bondissant
bondisse
bondissement
bondissent
bondissez
bondissiez
bondissions
bondissons
bondit
bonheur
bonhomie
bonhomme
boni
bonifirent
bonifi
bonifia
bonifiaient
bonifiait
bonifiant
bonification
bonifie
bonifient
bonifier
bonifiera
bonifieraient
bonifierait
bonifieront
boniment
bonimenter
bonjour
bonnement
bonnet
bonneterie
bonnetier
bonshommes
bonsoir
bont
bonus
bonze
bookmaker
boolen
boom
boomerang
boots
boqueteau
boqueteaux
boral
borborygme
bord
bordeaux
border
bordereau
bordereaux
Borduas
bordure
borgne
bornage
borne-fontaine
borner
bornes-fontaines
bornier
bornoyer
bosquet
bosse
bosseler
bosselure
bosser
bossu
bossue
bossuer
Boston
bostonner
bot
botanique
botaniste
botteler
botter
bottier
bottillon
bottine
botulisme
boue
boubou
boubouler
bouc
boucaner
bouchage
boucharder
bouche--bouche
bouche-trou
boucher
boucher
boucherie
Boucherville
bouchon
bouchonn
bouchonner
bouchot
bouclage
boucler
bouclette
bouclier
bouddhique
bouddhisme
bouddhiste
bouder
bouderie
boudeur
boudeuse
boudin
boudin
boudiner
boudoir
boue
boueux
bouffe
bouffant
bouffer
bouffir
bouffissure
bouffon
bouffonner
bouffonnerie
bougainville
bougainvillier
bougeoir
bougeotte
bouger
bougie
bougon
bougonnement
bougonner
bouillabaisse
bouillaient
bouillais
bouillait
bouillant
bouille
bouillent
bouilleur
bouillez
bouilli
bouilliez
bouillions
bouillir
bouillira
bouillirai
bouilliraient
bouillirait
bouillirez
bouilliriez
bouillirions
bouillirons
bouilliront
bouilloire
bouillon
bouillonnrent
bouillonn
bouillonna
bouillonnaient
bouillonnait
bouillonnant
bouillonne
bouillonnement
bouillonnent
bouillonner
bouillonnera
bouillonneraient
bouillonnerait
bouillonneront
bouillotte
bouillotter
boul
boulaie
boulanger
boulangerie
boule
bouleau
bouleaux
bouledogue
bouler
boulet
boulevard
bouleversant
bouleversement
bouleverser
boulier
boulimie
boulimique
boulocher
boulodrome
boulon
boulonnage
boulonne
boulonner
boulotte
boulotter
boumer
bouquet
bouquetire
bouquetin
bouquin
bouquiner
bouquiniste
Bourassa
bourbeux
bourbier
bourbon
bourdon
bourdonnrent
bourdonn
bourdonna
bourdonnaient
bourdonnait
bourdonnant
bourdonne
bourdonnement
bourdonnent
bourdonner
bourdonnera
bourdonneraient
bourdonnerait
bourdonneront
bourg
bourgade
bourgeois
bourgeoise
bourgeoisement
bourgeoisie
bourgeon
bourgeonnrent
bourgeonn
bourgeonna
bourgeonnaient
bourgeonnait
bourgeonnant
bourgeonne
bourgeonnement
bourgeonnent
bourgeonner
bourgeonnera
bourgeonneraient
bourgeonnerait
bourgeonneront
bourgmestre
bourgogne
bourguignon
bourlinguer
bourrade
bourrage
bourrasque
bourratif
bourreau
bourreaux
bourrel
bourreler
bourrelet
bourrelier
bourrellerie
bourrer
bourriche
bourricot
bourrique
bourru
bourrue
bourse
boursicotrent
boursicot
boursicota
boursicotaient
boursicotais
boursicotait
boursicotant
boursicote
boursicotent
boursicoter
boursicotera
boursicoterai
boursicoteraient
boursicoterait
boursicoterez
boursicoteriez
boursicoterions
boursicoterons
boursicoteront
boursicoteur
boursicotez
boursicotiez
boursicotions
boursicotons
boursier
boursouflrent
boursoufl
boursoufla
boursouflaient
boursouflait
boursouflant
boursoufle
boursouflement
boursouflent
boursoufler
boursouflera
boursoufleraient
boursouflerait
boursoufleront
boursouflure
bous
bousculade
bousculer
bouse
bousier
bousillage
bousiller
bousilleur
Bousquet
boussole
boustifaille
bout
boutade
boute-en-train
boutefeu
bouteille
bouter
boutique
boutiquier
boutoir
bouton
bouton-d'or
bouton-pression
boutonnage
boutonner
boutonneux
boutonnire
boutons-d'or
boutons-pression
bouture
bouturer
bouvreuil
bovid
bovin
bowling
box
boxrent
box
box-office
boxa
boxaient
boxais
boxait
boxant
boxe
boxent
boxer
boxera
boxerai
boxeraient
boxerait
boxerez
boxeriez
boxerions
boxerons
boxeront
boxeur
boxez
boxiez
boxions
boxons
boy
boy-scout
boyau
boyauter
boycott
boycottrent
boycott
boycotta
boycottage
boycottaient
boycottais
boycottait
boycottant
boycottent
boycotter
boycottera
boycotterai
boycotteraient
boycotterait
boycotterez
boycotteriez
boycotterions
boycotterons
boycotteront
boycottez
boycottiez
boycottions
boycottons
Boyer
brche
brme
brve
brchet
brsiller
brviaire
brler
brlant
brle-pourpoint
brler
brlerie
brleur
brlot
brlure
bracelet
bracelet-montre
bracelets-montres
braconnage
braconner
braconnier
brader
braderie
braguette
braillard
braillement
brailler
brailleur
brailleuse
braiment
braire
brais
braisant
braise
braiser
brame
bramer
brancard
brancarder
brancardier
branchage
branchement
brancher
branchies
brandade
brandebourg
brandir
brandon
brandy
branlant
branle
branle-bas
branler
braquage
braquer
braquet
bras
bras-le-corps
braser
brasero
brasier
brasiller
brassage
brassard
brasser
brasserie
brasseur
brasseyer
brassire
bravache
bravade
bravement
braver
bravo
bravoure
break
brebis
bredouillage
bredouillement
bredouiller
bredouilleur
bredouilleuse
bredouillis
bref
brelan
breloque
bretelle
breton
bretteler
bretter
breuvage
brevet
brevetrent
brevet
breveta
brevetable
brevetaient
brevetais
brevetait
brevetant
breveter
brevetez
brevetiez
brevetions
brevetons
brevettent
brevettera
brevetterai
brevetteraient
brevetterait
brevetterez
brevetteriez
brevetterions
brevetterons
brevetteront
brivement
brivet
Brian
briard
bribes
bric
bric--brac
brick
bricolage
bricoler
bricoleur
bricoleuse
brider
bridge
bridger
bridgeur
bridgeuse
brie
briefing
briffer
brigade
brigadier
brigand
brigandage
briguer
brillrent
brill
brilla
brillaient
brillais
brillait
brillamment
brillant
brillanter
brillantine
brillantiner
brille
brillent
briller
brillera
brillerai
brilleraient
brillerait
brillerez
brilleriez
brillerions
brillerons
brilleront
brillez
brilliez
brillions
brillons
brimade
brimbaler
brimer
brin
brindille
bringuebaler
brinquebaler
brio
brioch
brioche
briqu
briquant
brique
briquer
briquet
briqueter
bris
brisrent
bris
brisa
brisaient
brisais
brisait
brisant
brise
brise-glace
brise-jet
brise-lames
brisent
briser
brisera
briserai
briseraient
briserait
briserez
briseriez
briserions
briserons
briseront
briseur
briseuse
brisez
brisiez
brisions
brisons
bristol
brisure
britannique
broc
brocante
brocanter
brocanteur
brocanteuse
brocard
brocarder
brochage
brochant
brocher
brochet
brocheur
brocheuse
brochure
brodequin
broder
broderie
brodeur
brodeuse
broie
broiement
broient
broiera
broierai
broieraient
broierait
broierez
broieriez
broierions
broierons
broieront
bronchrent
bronch
broncha
bronchaient
bronchait
bronchant
bronche
bronchent
broncher
bronchera
broncheraient
broncherait
broncheront
bronchite
bronchiteux
bronchitique
broncho-pneumonie
bronzage
bronzer
brossage
Brosseau
brosser
brou
brouette
brouette
brouetter
brouhaha
brouillage
brouillard
brouillasser
brouiller
brouillerie
brouillon
brouillonner
broussaille
broussailleux
brousse
brouter
broutille
Brown
Browne
broyrent
broy
broya
broyage
broyaient
broyais
broyait
broyant
broyer
broyeur
broyeuse
broyez
broyiez
broyions
broyons
bru
bruinrent
bruin
bruina
bruinait
bruinant
bruine
bruiner
bruinera
bruinerait
bruir
bruire
bruissement
bruit
bruites
bruits
bruitage
bruiter
bruiteur
brumasser
brume
brumer
brumeux
brun
bruntre
brunir
brunissement
brusquement
brusquer
brusquerie
brut
brutal
brutalement
brutaliser
brutalit
bruyre
bruyamment
bruyant
BSD
bu
bue
buanderie
buccal
bucolique
budgtaire
budgter
budgtisation
budgtiser
budgtivore
budget
bue
buffet
buffle
buffler
buggy
building
buis
buisson
buissonneux
buissonnire
bulbaire
bulbe
bulbeux
bulgare
bulldozer
bulle
bulletin
bungalow
buraliste
bure
bureau
bureaucrate
bureaucratie
bureaucratique
bureaucratisation
bureaucratiser
bureautique
bureaux
burent
burette
burin
burin
buriner
burlesque
burnous
busard
buse
business
businessman
businessmen
busquer
buste
but
butane
buter
buteur
butin
butiner
butoir
butor
butte
butter
buvable
buvaient
buvais
buvait
buvant
buvard
buvette
buveur
buveuse
buvez
buviez
buvions
buvons
byzantin
